@echo off
echo;
echo;
echo;
echo;
echo;
echo;
echo;
rem
rem Make sure necessary files are present.
rem
if not exist files.zip goto nofile
if not exist unpack.exe goto needfile
if not exist pack.exe goto needfile
if not exist pkunzip.exe goto needpk
goto execute

:nofile
echo;
echo Couldn't locate files.zip.  This file is necessary to install
echo toledo.
echo;
goto end

:needfile
echo;
echo Couldn't locate pack & unpack utilities??  These files
echo must exist in the directory in order for this batch file
echo to work properly!!
goto end

:needpk
echo;
echo Couldn't locate PKUNZIP.exe.  This file is necessary to install 
echo the toledo.
goto end

:execute
Cls
echo.
echo Copying i70.dat to new directory
copy ..\i70\*.* .
echo.
echo Unpacking the i70.dat file...
echo;
unpack.exe i70.dat
del i70.dat
del *.cam
del *.scr
del *.trk
del *.3d
del *.3do
del records.txt
del rectruk.txt
del i70.txt
del *.tga
del *.srb
del *.mip
del *.m16
del *.pcx
del *.pck
pkunzip.exe files.zip
pack.exe toledo.pck
rem
echo;
echo;
goto cleanup

:cleanup
rem
echo;
echo Deleting stray files...
echo;
rem
del *.mi4
del *.m16
del *.mip
del *.trk
del *.3d
del *.pck
del *.srb
del *.3do
del *.exe
del *.zip
del *.pcx
goto finished 

:finished
cls
echo;
echo;
echo;
echo;
echo   *****************************************
echo   *                Nascar 3               *
echo   *             Toledo Speedway           *
echo   *             was created by            *
echo   *                                       *
echo   *              TONY KRIST               *
echo   *          krist@teleport.com           *
echo   *                                       *
echo   *****************************************
echo;
echo;
goto end

:end
del toledo.bat